package com.usky.system.factory;

import com.usky.common.core.bean.ApiResult;
import com.usky.system.RemoteLogService;
import com.usky.system.domain.SysLogininforVO;
import com.usky.system.domain.SysOperLogVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 日志服务降级处理
 *
 * @author ruoyi
 */
@Component
public class RemoteLogFallbackFactory implements FallbackFactory<RemoteLogService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteLogFallbackFactory.class);

    @Override
    public RemoteLogService create(Throwable throwable)
    {
        log.error("日志服务调用失败:{}", throwable.getMessage());
        return new RemoteLogService()
        {
            @Override
            public ApiResult<Boolean> saveLog(SysOperLogVO sysOperLog)
            {
                return ApiResult.error("500","保存日志失败");
            }

            @Override
            public ApiResult<Boolean> saveLogininfor(SysLogininforVO sysLogininfor)
            {
                return ApiResult.error("500","保存日志失败");
            }
        };

    }
}
